<template>
  <!-- 入库 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="insertClick">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <dilTable v-bind.sync="option1" ref="table">
        <el-table-column fixed="right" align="center" label="操作" width="100">
          <template slot-scope="scope">
            <el-button
              @click="updateClick(scope.row.resultId)"
              type="text"
              size="small"
            >
              修改
            </el-button>
            <el-button
              @click="deleteClick(scope.row.resultId)"
              type="text"
              size="small"
            >
              删除
            </el-button>
          </template>
        </el-table-column>
      </dilTable>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: "inplantTMS",
  data() {
    return {
      input: "",
      Time: "",
      activeName: "first",
      option1: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/wmsh/getInBoundResult?apiId=157",
      },
    };
  },
  methods: {
    onclick() {
      if (this.activeName == "first") {
        this.option1.requestUrl =
          "/api/v1/wmsh/getInBoundResult?apiId=157&con=" + this.input;
      }
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
    // 删除
    deleteClick(resultId) {
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          // console.log(this.arr[0].text_prop);
          this.axios
            .post("/api/v1/wmsh/deleteWareHosingResult/" + resultId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    //新增
    insertClick() {
      this.$router.push("/port_deposit_inbound_add/");
    },
    //修改
    updateClick(resultId) {
      console.log(resultId);
      this.$router.push("/port_deposit_inbound_edit/" + resultId);
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 40rpx;
    }
    .btn {
      width: 5.5%;
      margin-left: 0.25rem;
    }
  }
}
</style>